Get a workflow
curl --request GET \
--url https://manuscript.example.com/api/v1/workflows/{Id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://manuscript.example.com/api/v1/workflows/{Id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://manuscript.example.com/api/v1/workflows/{Id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"parentId": "<string>",
"parentType": "<string>",
"type": "<string>",
"status": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastUpdatedDate": "2023-11-07T05:31:56Z",
"data": null
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}Get a workflow
parentId, parentType, type, status, created and last-updated dates.
GET
/
api
/
v1
/
workflows
/
{Id}
Get a workflow
curl --request GET \
--url https://manuscript.example.com/api/v1/workflows/{Id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://manuscript.example.com/api/v1/workflows/{Id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://manuscript.example.com/api/v1/workflows/{Id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"parentId": "<string>",
"parentType": "<string>",
"type": "<string>",
"status": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastUpdatedDate": "2023-11-07T05:31:56Z",
"data": null
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}